de.esprit.appsuite.gui.pathtree

## Class AbstractPathTreeNodeCreator

- java.lang.Object
- - de.esprit.common.gui.tree.TreeModelListenerAdapter
  - - de.esprit.appsuite.gui.pathtree.PathTreeNodeSelector
    - - de.esprit.appsuite.gui.pathtree.AbstractPathTreeNodeCreator

- All Implemented Interfaces:
    Executable, java.util.EventListener, javax.swing.event.TreeModelListener
  Direct Known Subclasses:
    PathTreeDirectoryCreator, PathTreeFileCreator

      public abstract class AbstractPathTreeNodeCreator
      extends PathTreeNodeSelector
      implements Executable

  This adapter creates a new path in the file system which in turn is added as a new `PathTreeNode` in the `PathTreeModel`. After creation the new node is automatically being selected in the `PathTree`.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPathTreeNodeCreator(PathTree tree, java.nio.file.Path newPath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `createNewPath(java.nio.file.Path newPath)`
    `void` | `execute()` Performs the creation of the new `PathTreeNode`.

    - ### Methods inherited from class de.esprit.appsuite.gui.pathtree.PathTreeNodeSelector

      `getModel, getPath, treeNodesChanged, treeNodesInserted, treeNodesRemoved`

    - ### Methods inherited from class de.esprit.common.gui.tree.TreeModelListenerAdapter

      `deregister, handleEvent, treeStructureChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPathTreeNodeCreator

          public AbstractPathTreeNodeCreator(PathTree tree,
                                     java.nio.file.Path newPath)

  - ### Method Detail

    - #### execute

          public final void execute()
                             throws java.lang.Exception

      Performs the creation of the new `PathTreeNode`.
      Specified by:
        `execute` in interface `Executable`
      Throws:
        `java.lang.Exception`

    - #### createNewPath

          protected abstract void createNewPath(java.nio.file.Path newPath)
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.